Bug 799672 - [abrt] codeblocks-10.05-5.fc15: wxEventPtr::~wxEventPtr: Process /usr/bin/codeblocks was killed by signal 11 (SIGSEGV)
[abrt] codeblocks-10.05-5.fc15: wxEventPtr::~wxEventPtr: Process /usr/bin/cod...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: codeblocks (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
abrt_hash:9208de3f592ff6672ae188455b5...
:
: 673711 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 01:07 EST by Nehal Dattani
Modified: 2013-02-13 08:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:40:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (6.04 KB, text/plain)
2012-03-04 01:07 EST, Nehal Dattani
no flags Details
File: backtrace (25.62 KB, text/plain)
2012-03-04 01:07 EST, Nehal Dattani
no flags Details
File: maps (53.22 KB, text/plain)
2012-03-04 01:07 EST, Nehal Dattani
no flags Details
File: dso_list (10.58 KB, text/plain)
2012-03-04 01:07 EST, Nehal Dattani
no flags Details
File: build_ids (4.20 KB, text/plain)
2012-03-04 01:07 EST, Nehal Dattani
no flags Details
File: backtrace (25.72 KB, text/plain)
2012-03-07 12:02 EST, didibailly
no flags Details

  None (edit)
Description Nehal Dattani 2012-03-04 01:07:39 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        codeblocks
comment:        importing files in existing empty project
crash_function: wxEventPtr::~wxEventPtr
executable:     /usr/bin/codeblocks
kernel:         3.2.7-1.fc16.x86_64
pid:            14749
pwd:            /home/ndattani/cb/kernel
reason:         Process /usr/bin/codeblocks was killed by signal 11 (SIGSEGV)
time:           Sat 03 Mar 2012 11:56:34 PM IST
uid:            1000
username:       ndattani
xsession_errors: 

backtrace:      Text file, 26237 bytes
build_ids:      Text file, 4305 bytes
dso_list:       Text file, 10833 bytes
event_log:      Text file, 6181 bytes
maps:           Text file, 54497 bytes

environ:
:DREAL_TECHNO_NAME=/usr/lib64/alliance/etc/cmos.dreal
:XDG_VTNR=1
:MANPATH=:/usr/lib64/alliance/man:/usr/local/share/man:/usr/share/man:/usr/lib64/alliance/man
:VH_PATSFX=pat
:TPD_GLOBAL=/usr/share/toped/
:XDG_SESSION_ID=2
:HOSTNAME=ndattani.pnq.redhat.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:MBK_IN_PH=ap
:XSCH_PARAM_NAME=/usr/lib64/alliance/etc/xsch.par
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=5c8da3851a95d6bdbdfd2e2500000012-1330789326.998257-1473627045
:VH_MAXERR=10
:QTDIR=/usr/lib64/qt-3.3
:RDS_OUT=cif
:GNOME_KEYRING_CONTROL=/tmp/keyring-Hvr8N9
:QTINC=/usr/lib64/qt-3.3/include
:XFSM_PARAM_NAME=/usr/lib64/alliance/etc/xfsm.par
:GRAAL_TECHNO_NAME=/usr/lib64/alliance/etc/cmos.graal
:ALLIANCE_TOP=/usr/lib64/alliance
:TPD_LOCAL=/home/ndattani
:IMSETTINGS_MODULE=none
:USER=ndattani
:LD_LIBRARY_PATH=/usr/lib64/alliance/lib
:USERNAME=ndattani
:MAIL=/var/spool/mail/ndattani
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/lib64/alliance/bin:/usr/libexec/sdcc:/home/ndattani/.local/bin:/home/ndattani/bin
:DESKTOP_SESSION=gnome
:MBK_SCALE_X=100
:QT_IM_MODULE=xim
:MBK_CATAL_NAME=CATAL
:PWD=/home/ndattani
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:MBK_OUT_PH=ap
:GNOME_KEYRING_PID=1703
:LANG=en_US.utf8
:MBK_SPI_MODEL=/usr/lib64/alliance/etc/spimodel.cfg
:GENVIEW_TECHNO_NAME=/usr/lib64/alliance/etc/cmos.genview
:RDS_IN=cif
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:MBK_OUT_LO=vst
:MBK_VSS=vss
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:VH_BEHSFX=vbe
:HISTCONTROL=ignoredups
:HOME=/home/ndattani
:XDG_SEAT=seat0
:SHLVL=1
:MBK_C4_LIB=./cellsC4
:MBK_VDD=vdd
:MBK_TARGET_LIB=/usr/lib64/alliance/cells/sxlib
:RDS_TECHNO_NAME=/usr/lib64/alliance/etc/cmos.rds
:VH_DLYSFX=dly
:LOGNAME=ndattani
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-yEqOBtvfJg,guid=79fb5fc68b3169812dd0f6580000002e
:MBK_IN_LO=vst
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:MBK_WORK_LIB=.
:XPAT_PARAM_NAME=/usr/lib64/alliance/etc/xpat.par
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ndattani
:DISPLAY=:0
:ELP_TECHNO_NAME=/usr/lib64/alliance/etc/prol.elp
:MBK_CATA_LIB=.:/usr/lib64/alliance/cells/sxlib:/usr/lib64/alliance/cells/dp_sxlib:/usr/lib64/alliance/cells/rflib:/usr/lib64/alliance/cells/rf2lib:/usr/lib64/alliance/cells/ramlib:/usr/lib64/alliance/cells/romlib:/usr/lib64/alliance/cells/pxlib:/usr/lib64/alliance/cells/padlib
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-ndattani-epS68T/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1710,unix/unix:/tmp/.ICE-unix/1710
:SSH_AUTH_SOCK=/tmp/keyring-Hvr8N9/ssh
:GPG_AGENT_INFO=/tmp/keyring-Hvr8N9/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'

smolt_data:
:
:
:General
:=================================
:UUID: 1106940b-25b7-44be-ba6b-5e550ec426b7
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5183.21
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2540M CPU @ 2.60GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2601
:System Memory: 3841
:System Swap: 4999
:Vendor: LENOVO
:System: 4174BU2 ThinkPad T420s
:Form factor: Notebook
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8658) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4147:404:6058:8658) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:294:6058:8658) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8658) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8658) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8658) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8658) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4480:59427:6058:8658) pci, sdhci-pci, BASE, N/A
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8658) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8658) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8658) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8658) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8658) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 15332214 6487783 5719783 3842048 2893210 2893210
:/dev/sda1 /boot ext4 1024 1024 508745 430178 404578 128016 127748 127748
:/dev/mapper/luks-511ff2e7-c6ce-4102-9b4f-d80422c1e3ac /home ext4 4096 4096 61293596 38605217 35536929 15343616 15021433 15021433
:

var_log_messages:
:Mar  3 23:49:00 ndattani yum[14731]: Installed: codeblocks-libs-10.05-5.fc15.x86_64
:Mar  3 23:49:04 ndattani yum[14731]: Installed: codeblocks-10.05-5.fc15.x86_64
:Mar  3 23:56:34 ndattani kernel: [ 9909.673053] codeblocks[14749]: segfault at 0 ip           (null) sp 00007fffc16dfb08 error 14 in codeblocks[400000+93000]
:Mar  3 23:56:48 ndattani abrt[14933]: Saved core dump of pid 14749 (/usr/bin/codeblocks) to /var/spool/abrt/ccpp-2012-03-03-23:56:34-14749 (1011937280 bytes)
Comment 1 Nehal Dattani 2012-03-04 01:07:44 EST
Created attachment 567367 [details]
File: event_log
Comment 2 Nehal Dattani 2012-03-04 01:07:46 EST
Created attachment 567368 [details]
File: backtrace
Comment 3 Nehal Dattani 2012-03-04 01:07:49 EST
Created attachment 567369 [details]
File: maps
Comment 4 Nehal Dattani 2012-03-04 01:07:52 EST
Created attachment 567370 [details]
File: dso_list
Comment 5 Nehal Dattani 2012-03-04 01:07:54 EST
Created attachment 567371 [details]
File: build_ids
Comment 6 didibailly 2012-03-07 12:02:36 EST
While trying to scroll a file just after opening a project

backtrace_rating: 4
Package: codeblocks-10.05-5.fc15
OS Release: Fedora release 16 (Verne)
Comment 7 didibailly 2012-03-07 12:02:40 EST
Created attachment 568363 [details]
File: backtrace
Comment 8 abrt-bot 2012-03-20 14:12:59 EDT
*** Bug 673711 has been marked as a duplicate of this bug. ***
Comment 10 Fedora End Of Life 2013-01-16 08:00:08 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 08:40:09 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.